devel/libftdi - The NetBSD Packages Collection

Userland driver library for FTDI USB chips

libFTDI is an open source library to talk to FTDI chips: FT232BM,
FT245BM, FT2232C, FT2232D and FT245R, including the popular bitbang
mode. The library is linked with your program in userspace, no
kernel driver required.

libFTDI works perfectly with Linux, Windows, MacOS X and BSD variants
thanks to libusb.

Build dependencies

pkgtools/cwrappers devel/libtool-base devel/pkgconf

Runtime dependencies

devel/libusb-compat

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibftdi-0.20nb1.tgz
NetBSD 8.0earmv7hflibftdi-0.20nb1.tgz
NetBSD 8.0earmv7hflibftdi-0.20nb1.tgz
NetBSD 8.0i386libftdi-0.20nb1.tgz
NetBSD 8.0i386libftdi-0.20nb1.tgz
NetBSD 8.0powerpclibftdi-0.20nb1.tgz
NetBSD 8.0powerpclibftdi-0.20nb1.tgz
NetBSD 8.0powerpclibftdi-0.20nb1.tgz
NetBSD 8.0powerpclibftdi-0.20nb1.tgz
NetBSD 8.0x86_64libftdi-0.20nb1.tgz
NetBSD 8.0x86_64libftdi-0.20nb1.tgz
NetBSD 9.0aarch64libftdi-0.20nb1.tgz
NetBSD 9.0aarch64libftdi-0.20nb1.tgz
NetBSD 9.0aarch64libftdi-0.20nb1.tgz
NetBSD 9.0alphalibftdi-0.20nb1.tgz
NetBSD 9.0alphalibftdi-0.20nb1.tgz
NetBSD 9.0alphalibftdi-0.20nb1.tgz
NetBSD 9.0earmlibftdi-0.20nb1.tgz
NetBSD 9.0earmlibftdi-0.20nb1.tgz
NetBSD 9.0earmlibftdi-0.20nb1.tgz
NetBSD 9.0earmv6hflibftdi-0.20nb1.tgz
NetBSD 9.0earmv6hflibftdi-0.20nb1.tgz
NetBSD 9.0earmv6hflibftdi-0.20nb1.tgz
NetBSD 9.0earmv7hflibftdi-0.20nb1.tgz
NetBSD 9.0earmv7hflibftdi-0.20nb1.tgz
NetBSD 9.0earmv7hflibftdi-0.20nb1.tgz
NetBSD 9.0earmv7hflibftdi-0.20nb1.tgz
NetBSD 9.0i386libftdi-0.20nb1.tgz
NetBSD 9.0i386libftdi-0.20nb1.tgz
NetBSD 9.0i386libftdi-0.20nb1.tgz
NetBSD 9.0mips64eblibftdi-0.20nb1.tgz
NetBSD 9.0mips64eblibftdi-0.20nb1.tgz
NetBSD 9.0mips64eblibftdi-0.20nb1.tgz
NetBSD 9.0mips64eblibftdi-0.20nb1.tgz
NetBSD 9.0mips64eblibftdi-0.20nb1.tgz
NetBSD 9.0mipsellibftdi-0.20nb1.tgz
NetBSD 9.0mipsellibftdi-0.20nb1.tgz
NetBSD 9.0mipsellibftdi-0.20nb1.tgz
NetBSD 9.0mipsellibftdi-0.20nb1.tgz
NetBSD 9.0powerpclibftdi-0.20nb1.tgz
NetBSD 9.0powerpclibftdi-0.20nb1.tgz
NetBSD 9.0powerpclibftdi-0.20nb1.tgz
NetBSD 9.0powerpclibftdi-0.20nb1.tgz
NetBSD 9.0sh3ellibftdi-0.20nb1.tgz
NetBSD 9.0sh3ellibftdi-0.20nb1.tgz
NetBSD 9.0sh3ellibftdi-0.20nb1.tgz
NetBSD 9.0sh3ellibftdi-0.20nb1.tgz
NetBSD 9.0sparc64libftdi-0.20nb1.tgz
NetBSD 9.0sparc64libftdi-0.20nb1.tgz
NetBSD 9.0sparc64libftdi-0.20nb1.tgz
NetBSD 9.0sparclibftdi-0.20nb1.tgz
NetBSD 9.0sparclibftdi-0.20nb1.tgz
NetBSD 9.0sparclibftdi-0.20nb1.tgz
NetBSD 9.0sparclibftdi-0.20nb1.tgz
NetBSD 9.0sparclibftdi-0.20nb1.tgz
NetBSD 9.0vaxlibftdi-0.20nb1.tgz
NetBSD 9.0vaxlibftdi-0.20nb1.tgz
NetBSD 9.0vaxlibftdi-0.20nb1.tgz
NetBSD 9.0vaxlibftdi-0.20nb1.tgz
NetBSD 9.0x86_64libftdi-0.20nb1.tgz
NetBSD 9.0x86_64libftdi-0.20nb1.tgz
NetBSD 9.0x86_64libftdi-0.20nb1.tgz
NetBSD 9.0x86_64libftdi-0.20nb1.tgz
NetBSD 9.0x86_64libftdi-0.20nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.